Package org.apache.qpid.proton.codec

# Interface StringType.StringEncoding

All Superinterfaces:
  `PrimitiveTypeEncoding<String>`, `TypeConstructor<String>`, `TypeEncoding<String>`

Enclosing class:
  `StringType`

public static interface StringType.StringEncoding extends PrimitiveTypeEncoding<String>

## Method Summary

Modifier and Type
Method
Description
`void`
`setValue(String val, int length)`

### Methods inherited from interface org.apache.qpid.proton.codec.PrimitiveTypeEncoding

`getConstructorSize, getEncodingCode, getType, writeConstructor`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeConstructor

`encodesJavaPrimitive, getTypeClass, readValue, skipValue`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeEncoding

`encodesJavaPrimitive, encodesSuperset, getValueSize, isFixedSizeVal, writeValue`

## Method Details

### setValue

void setValue(String val, int length)